Website

NABU

What is Nabu?

API REFERENCE

Introduction to the Nabu API
Initiate a file upload POSTDelete a file DELETEDownload a file GETGet file metadata GETGet file summary GETGet extracted file text GETList files in a knowledge hub GET
Files

Delete a file

DELETE
/hubs/{hubId}/files/{hubFileId}

Permanently removes the file from the knowledge hub. Does not return a response body on success.

Authorization

bearerAuth
AuthorizationBearer <token>

Nabu API key from Organization settings → API keys. Keys are prefixed with key_.

In: header

Path Parameters

hubId*string

Knowledge hub identifier. Must be allowed for the API key.

hubFileId*string

File identifier.

Response Body

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/hubs/string/files/string"
Empty

Initiate a file upload POST

Previous Page

Download a file GET

Next Page